@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html {
  scroll-behavior: smooth;
}

body {
  background-image: url(assets-images/fundo.home.png);
  background-size: 500px;
  background-repeat: repeat;
  overflow-x: hidden;
}

/* NAVBAR */

header {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 100;
}

.navbar {
  width: 90%;
  margin: 25px auto;
  background: #0c4b16;
  border-radius: 20px;
  padding: 15px 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.15);
}

.logo img {
  width: 150px;
}

.nav-links {
  display: flex;
  gap: 25px;
  list-style: none;
}

.nav-links a {
  font-size: 14.5px;
  color: #fff;
  text-decoration: none;
  transition: 0.2s;
  font-weight: 500;
}

.nav-links a:hover {
  color: #ff7724;
}

.nav-right {
  display: flex;
  align-items: center;
  gap: 20px;
}

.pedido-btn {
  background: #f97316;
  border: none;
  color: white;
  padding: 12px 22px;
  border-radius: 30px;
  cursor: pointer;
  font-weight: 600;
  transition: 0.3s;
  text-decoration: none;
  display: inline-block;
}

.pedido-btn:hover {
  transform: scale(1.05);
  background: #ff7f2f;
}

.icons {
  display: flex;
  gap: 15px;
  color: white;
  font-size: 22px;
  cursor: pointer;
}

/* HERO */

.hero {
  width: 100%;
  height: 100vh;

  background:
    linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("https://images.unsplash.com/photo-1622973536968-3ead9e780960?q=80&w=1400");

  background-size: cover;
  background-position: center;

  display: flex;
  align-items: center;

  padding-left: 80px;
}

.hero-content {
  max-width: 600px;
  color: white;
}

.hero-content h1 {
  font-size: 60px;
  line-height: 1.1;
  margin-bottom: 20px;
}

.hero-content p {
  font-size: 18px;
  margin-bottom: 30px;
  color: #e5e5e5;
}

.hero-buttons {
  display: flex;
  gap: 20px;
}

.orange-btn {
  background: #f97316;
  color: white;
  border: none;
  padding: 15px 30px;
  border-radius: 40px;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s;
}

.hero-buttons a {
  text-decoration: none;
}

.orange-btn:hover {
  transform: translateY(-3px);
  background: #ff7f2f;
}

.dark-btn {
  background: transparent;
  border: 2px solid white;
  color: white;
  padding: 15px 30px;
  border-radius: 40px;
  cursor: pointer;
  transition: 0.3s;
}

.dark-btn:hover {
  background: white;
  color: #0c4b16;
}

/* CATEGORIAS */

.categorias {
  padding: 80px 10%;
  text-align: center;
}

.categorias h2 {
  margin-bottom: 40px;
  font-size: 40px;
  color: #0c4b16;
}

.categoria-container {
  display: flex;
  justify-content: center;
  gap: 30px;
  flex-wrap: wrap;
}

.categoria-card {
  width: 170px;
  height: 170px;
  background: #f97316;
  border-radius: 25px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 15px;
  color: white;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
}

.categoria-card:hover {
  transform: translateY(-10px);
}

.categoria-card i {
  font-size: 45px;
}

.categoria-card span {
  font-size: 18px;
  font-weight: 600;
}

/* RESTAURANTE */

.restaurante {
  padding: 80px 10%;
}

.restaurante h2 {
  text-align: center;
  margin-bottom: 50px;
  font-size: 40px;
  color: #0c4b16;
}

.restaurante-content {
  display: flex;
  gap: 40px;
  align-items: center;
  flex-wrap: wrap;
}

.galeria {
  flex: 1;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px;
}

.galeria img {
  width: 100%;
  height: 220px;
  object-fit: cover;
  border-radius: 20px;
  transition: 0.3s;
}

.galeria img:hover {
  transform: scale(1.03);
}

.restaurante-text {
  flex: 1;
}

.restaurante-text h3 {
  font-size: 35px;
  margin-bottom: 20px;
  color: #0c4b16;
}

.restaurante-text p {
  font-size: 18px;
  color: #555;
  margin-bottom: 20px;
}

.info {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.info p {
  display: flex;
  align-items: center;
  gap: 10px;
}

.info i {
  color: #f97316;
  font-size: 22px;
}

/* DESTAQUES */

.destaques {
  padding: 80px 10%;
}

.destaques h2 {
  text-align: center;
  font-size: 40px;
  margin-bottom: 50px;
  color: #0c4b16;
}

.foods {
  display: flex;
  justify-content: center;
  gap: 30px;
  flex-wrap: wrap;
}

.food-card {
  width: 340px;
  background: white;
  border-radius: 25px;
  overflow: hidden;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
}

.food-card:hover {
  transform: translateY(-10px);
}

.food-card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
}

.food-content {
  padding: 20px;
}

.food-content h3 {
  margin-bottom: 10px;
  color: #0c4b16;
}

.food-content p {
  color: #666;
  margin-bottom: 20px;
}

.food-bottom {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.food-bottom span {
  font-size: 22px;
  font-weight: bold;
  color: #0c4b16;
}

.food-bottom button {
  background: #f97316;
  border: none;
  color: white;
  padding: 10px 20px;
  border-radius: 30px;
  cursor: pointer;
  transition: 0.3s;
}

.food-bottom button:hover {
  background: #ff7f2f;
}

/* FOOTER */

footer {
  background: #0c4b16;
  padding: 60px 10%;
  text-align: center;
  color: white;
}

footer img {
  width: 180px;
  margin-bottom: 20px;
}

.contato-info {
  display: flex;
  flex-direction: column;
  gap: 12px;

  margin-bottom: 30px;
}

.contato-info p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  color: #f1f1f1;
}

.contato-info i {
  color: #f97316;
}

.footer-icons {
  display: flex;
  justify-content: center;
  gap: 20px;
  font-size: 26px;
  margin-bottom: 30px;
}

.footer-icons a {
  color: white;
  transition: 0.3s;
}

.footer-icons a:hover {
  color: #f97316;
  transform: translateY(-3px);
}

/* RESPONSIVO */

@media (max-width: 900px) {
  .navbar {
    flex-direction: column;
    gap: 20px;
    padding: 20px;
  }

  .nav-links {
    flex-wrap: wrap;
    justify-content: center;
  }

  .hero {
    justify-content: center;
    text-align: center;

    padding: 20px;
  }

  .hero-content h1 {
    font-size: 42px;
  }

  .hero-buttons {
    justify-content: center;
    flex-wrap: wrap;
  }

  .restaurante-content {
    flex-direction: column;
  }

  .galeria {
    grid-template-columns: 1fr;
  }

  .food-card {
    width: 100%;
  }
}
